summaryrefslogtreecommitdiffstats
path: root/make
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2011-08-05 05:35:40 +0200
committerSven Gothel <[email protected]>2011-08-05 05:35:40 +0200
commit159eea0080281eae5b4f97368ee1549397892fb8 (patch)
treec6fde3f1cae0a07128dd7e6f3f21618d49513b68 /make
parent4dbb8731219212e27c9afb769a1c62b32bd230a6 (diff)
Complete Android cleanup (compile/apk launch)
Diffstat (limited to 'make')
-rw-r--r--make/resources/android/AndroidManifest-jogl.xml27
-rw-r--r--make/resources/android/AndroidManifest-launcher.xml39
-rw-r--r--make/resources/android/res-jogl/drawable-hdpi/icon.pngbin0 -> 2516 bytes
-rw-r--r--make/resources/android/res-jogl/drawable-ldpi/icon.pngbin0 -> 1172 bytes
-rw-r--r--make/resources/android/res-jogl/drawable-mdpi/icon.pngbin0 -> 1570 bytes
-rw-r--r--make/resources/android/res-jogl/layout/main.xml12
-rw-r--r--make/resources/android/res-jogl/values/strings.xml8
-rw-r--r--make/resources/android/res-launcher/drawable-hdpi/icon.pngbin0 -> 2516 bytes
-rw-r--r--make/resources/android/res-launcher/drawable-ldpi/icon.pngbin0 -> 1172 bytes
-rw-r--r--make/resources/android/res-launcher/drawable-mdpi/icon.pngbin0 -> 1570 bytes
-rw-r--r--make/resources/android/res-launcher/layout/main.xml12
-rw-r--r--make/resources/android/res-launcher/values/strings.xml10
-rwxr-xr-xmake/scripts/make.jogl.all.android-armv7-cross.sh111
13 files changed, 219 insertions, 0 deletions
diff --git a/make/resources/android/AndroidManifest-jogl.xml b/make/resources/android/AndroidManifest-jogl.xml
new file mode 100644
index 000000000..24e7a7b78
--- /dev/null
+++ b/make/resources/android/AndroidManifest-jogl.xml
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="utf-8"?>
+<manifest xmlns:android="http://schemas.android.com/apk/res/android"
+ sharedUserId="com.jogamp.Community"
+ package="javax.media.opengl">
+
+ <uses-sdk android:minSdkVersion="9" />
+ <uses-library android:name="com.jogamp.common" android:required="true" />
+
+ <application android:icon="@drawable/icon"
+ android:label="@string/app_name"
+ android:description="@string/app_descr"
+ android:persistent="false"
+ >
+ <activity android:name="jogamp.newt.driver.android.NewtVersionActivity"
+ android:finishOnTaskLaunch="true"
+ android:launchMode="singleTop"
+ android:label="@string/activity_v_name"
+ android:description="@string/activity_v_descr"
+ >
+ <intent-filter>
+ <action android:name="android.intent.action.MAIN" />
+ <category android:name="android.intent.category.LAUNCHER" />
+ </intent-filter>
+ </activity>
+ </application>
+
+</manifest>
diff --git a/make/resources/android/AndroidManifest-launcher.xml b/make/resources/android/AndroidManifest-launcher.xml
new file mode 100644
index 000000000..7ce9693f1
--- /dev/null
+++ b/make/resources/android/AndroidManifest-launcher.xml
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="utf-8"?>
+<manifest xmlns:android="http://schemas.android.com/apk/res/android"
+ sharedUserId="com.jogamp.Community"
+ package="com.jogamp.android.launcher">
+
+ <uses-sdk android:minSdkVersion="9" />
+ <uses-library android:name="com.jogamp.common" android:required="true" />
+ <uses-library android:name="javax.media.opengl" android:required="true" />
+
+ <application android:icon="@drawable/icon"
+ android:label="@string/app_name"
+ android:description="@string/app_descr"
+ android:persistent="false"
+ >
+ <activity android:name="com.jogamp.android.launcher.NEWTLauncherVersionActivity"
+ android:finishOnTaskLaunch="true"
+ android:launchMode="singleTop"
+ android:label="@string/activity_v_name"
+ android:description="@string/activity_v_descr"
+ >
+ <intent-filter>
+ <action android:name="android.intent.action.MAIN" />
+ <category android:name="android.intent.category.LAUNCHER" />
+ </intent-filter>
+ </activity>
+ <activity android:name="com.jogamp.android.launcher.NEWTLauncherGearsActivity"
+ android:finishOnTaskLaunch="true"
+ android:launchMode="singleTop"
+ android:label="@string/activity_gears1_name"
+ android:description="@string/activity_gears1_descr"
+ >
+ <intent-filter>
+ <action android:name="android.intent.action.MAIN" />
+ <category android:name="android.intent.category.LAUNCHER" />
+ </intent-filter>
+ </activity>
+ </application>
+
+</manifest>
diff --git a/make/resources/android/res-jogl/drawable-hdpi/icon.png b/make/resources/android/res-jogl/drawable-hdpi/icon.png
new file mode 100644
index 000000000..2148232c9
--- /dev/null
+++ b/make/resources/android/res-jogl/drawable-hdpi/icon.png
Binary files differ
diff --git a/make/resources/android/res-jogl/drawable-ldpi/icon.png b/make/resources/android/res-jogl/drawable-ldpi/icon.png
new file mode 100644
index 000000000..c16211f36
--- /dev/null
+++ b/make/resources/android/res-jogl/drawable-ldpi/icon.png
Binary files differ
diff --git a/make/resources/android/res-jogl/drawable-mdpi/icon.png b/make/resources/android/res-jogl/drawable-mdpi/icon.png
new file mode 100644
index 000000000..1c26e3f83
--- /dev/null
+++ b/make/resources/android/res-jogl/drawable-mdpi/icon.png
Binary files differ
diff --git a/make/resources/android/res-jogl/layout/main.xml b/make/resources/android/res-jogl/layout/main.xml
new file mode 100644
index 000000000..3a5f117d3
--- /dev/null
+++ b/make/resources/android/res-jogl/layout/main.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="utf-8"?>
+<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
+ android:orientation="vertical"
+ android:layout_width="fill_parent"
+ android:layout_height="fill_parent"
+ >
+<TextView
+ android:layout_width="fill_parent"
+ android:layout_height="wrap_content"
+ android:text="@string/hello"
+ />
+</LinearLayout>
diff --git a/make/resources/android/res-jogl/values/strings.xml b/make/resources/android/res-jogl/values/strings.xml
new file mode 100644
index 000000000..6c0a469e0
--- /dev/null
+++ b/make/resources/android/res-jogl/values/strings.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="utf-8"?>
+<resources>
+ <string name="hello">Jogl Library</string>
+ <string name="app_name">JogAmp\'s Jogl Library</string>
+ <string name="app_descr">Contains Dalvik and native code, supporting native bindings.</string>
+ <string name="activity_v_name">Jogl</string>
+ <string name="activity_v_descr">The Jogl Library.</string>
+</resources>
diff --git a/make/resources/android/res-launcher/drawable-hdpi/icon.png b/make/resources/android/res-launcher/drawable-hdpi/icon.png
new file mode 100644
index 000000000..2148232c9
--- /dev/null
+++ b/make/resources/android/res-launcher/drawable-hdpi/icon.png
Binary files differ
diff --git a/make/resources/android/res-launcher/drawable-ldpi/icon.png b/make/resources/android/res-launcher/drawable-ldpi/icon.png
new file mode 100644
index 000000000..c16211f36
--- /dev/null
+++ b/make/resources/android/res-launcher/drawable-ldpi/icon.png
Binary files differ
diff --git a/make/resources/android/res-launcher/drawable-mdpi/icon.png b/make/resources/android/res-launcher/drawable-mdpi/icon.png
new file mode 100644
index 000000000..1c26e3f83
--- /dev/null
+++ b/make/resources/android/res-launcher/drawable-mdpi/icon.png
Binary files differ
diff --git a/make/resources/android/res-launcher/layout/main.xml b/make/resources/android/res-launcher/layout/main.xml
new file mode 100644
index 000000000..3a5f117d3
--- /dev/null
+++ b/make/resources/android/res-launcher/layout/main.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="utf-8"?>
+<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
+ android:orientation="vertical"
+ android:layout_width="fill_parent"
+ android:layout_height="fill_parent"
+ >
+<TextView
+ android:layout_width="fill_parent"
+ android:layout_height="wrap_content"
+ android:text="@string/hello"
+ />
+</LinearLayout>
diff --git a/make/resources/android/res-launcher/values/strings.xml b/make/resources/android/res-launcher/values/strings.xml
new file mode 100644
index 000000000..23b0248bd
--- /dev/null
+++ b/make/resources/android/res-launcher/values/strings.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="utf-8"?>
+<resources>
+ <string name="hello">Jogl Launcher</string>
+ <string name="app_name">JogAmp\'s Jogl Launcher</string>
+ <string name="app_descr">Launches Jogl Applications.</string>
+ <string name="activity_v_name">Jogl\'s Version</string>
+ <string name="activity_v_descr">Shows the version of the Jogl Library.</string>
+ <string name="activity_gears1_name">Gears ES1</string>
+ <string name="activity_gears1_descr">Gears ES1</string>
+</resources>
diff --git a/make/scripts/make.jogl.all.android-armv7-cross.sh b/make/scripts/make.jogl.all.android-armv7-cross.sh
new file mode 100755
index 000000000..cbc5bda29
--- /dev/null
+++ b/make/scripts/make.jogl.all.android-armv7-cross.sh
@@ -0,0 +1,111 @@
+#! /bin/sh
+
+export HOST_UID=sven
+export HOST_IP=192.168.0.52
+export HOST_RSYNC_ROOT=PROJECTS/JOGL
+
+export TARGET_UID=jogamp
+export TARGET_IP=beagle01
+export TARGET_ROOT=/projects
+export TARGET_ANT_HOME=/usr/share/ant
+
+export ANDROID_VERSION=9
+
+echo ANDROID_SDK_HOME $ANDROID_SDK_HOME
+echo NDK_ROOT $NDK_ROOT
+
+if [ -z "$NDK_ROOT" ] ; then
+ if [ -e /usr/local/android-ndk-r6 ] ; then
+ NDK_ROOT=/usr/local/android-ndk-r6
+ elif [ -e /opt-linux-x86/android-ndk-r6 ] ; then
+ NDK_ROOT=/opt-linux-x86/android-ndk-r6
+ elif [ -e /opt/android-ndk-r6 ] ; then
+ NDK_ROOT=/opt/android-ndk-r6
+ else
+ echo NDK_ROOT is not specified and does not exist in default locations
+ exit 1
+ fi
+elif [ ! -e $NDK_ROOT ] ; then
+ echo NDK_ROOT $NDK_ROOT does not exist
+ exit 1
+fi
+export NDK_ROOT
+NDK_TOOLCHAIN=$NDK_ROOT/toolchains/arm-linux-androideabi-4.4.3/prebuilt/linux-x86/arm-linux-androideabi
+
+if [ -z "$ANDROID_SDK_HOME" ] ; then
+ if [ -e /usr/local/android-sdk-linux_x86 ] ; then
+ ANDROID_SDK_HOME=/usr/local/android-sdk-linux_x86
+ elif [ -e /opt-linux-x86/android-sdk-linux_x86 ] ; then
+ ANDROID_SDK_HOME=/opt-linux-x86/android-sdk-linux_x86
+ elif [ -e /opt/android-sdk-linux_x86 ] ; then
+ ANDROID_SDK_HOME=/opt/android-sdk-linux_x86
+ else
+ echo ANDROID_SDK_HOME is not specified and does not exist in default locations
+ exit 1
+ fi
+elif [ ! -e $ANDROID_SDK_HOME ] ; then
+ echo ANDROID_SDK_HOME $ANDROID_SDK_HOME does not exist
+ exit 1
+fi
+export ANDROID_SDK_HOME
+
+export PATH="$NDK_TOOLCHAIN/bin:$ANDROID_SDK_HOME/platform-tools:$PATH"
+
+export GCC_VERSION=4.4.3
+HOST_ARCH=linux-x86
+export TARGET_ARCH=arm-linux-androideabi
+# mcpu: cortex-a8', `cortex-a9', `cortex-r4', `cortex-r4f', `cortex-m3', `cortex-m1', `xscale', `iwmmxt', `iwmmxt2', `ep9312'.
+export TARGET_CPU_NAME=armv7-a
+TARGET_CPU_TUNE=armv7-a
+# mfpu: `vfp', `vfpv3', `vfpv3-d16' and `neon'
+TARGET_FPU_NAME=vfpv3
+TARGET_FPU_ABI=softfp
+
+export TARGET_TOOL_PATH=${NDK_ROOT}/toolchains/${TARGET_ARCH}-${GCC_VERSION}/prebuilt/${HOST_ARCH}
+
+export TARGET_OS_PATH=${NDK_ROOT}/platforms/android-${ANDROID_VERSION}/arch-arm/usr
+export HOST_OS_PATH=${NDK_ROOT}/platforms/android-${ANDROID_VERSION}/arch-x86/usr
+
+export NDK_XBIN_PATH=${TARGET_TOOL_PATH}/bin
+export NDK_BIN_PATH=${TARGET_TOOL_PATH}/${TARGET_ARCH}/bin
+
+export NDK_GCC=${NDK_XBIN_PATH}/${TARGET_ARCH}-gcc
+export NDK_AR=${NDK_XBIN_PATH}/${TARGET_ARCH}-ar
+export NDK_STRIP=${NDK_XBIN_PATH}/${TARGET_ARCH}-strip
+export NDK_READELF=${NDK_XBIN_PATH}/${TARGET_ARCH}-readelf
+
+export PATH=${NDK_XBIN_PATH}:$PATH
+
+export NDK_CFLAGS="\
+-march=${TARGET_CPU_NAME} \
+-fpic \
+-DANDROID \
+"
+
+export NDK_LDFLAGS="\
+-Wl,--demangle \
+-nostdlib -Bdynamic -Wl,-dynamic-linker,/system/bin/linker -Wl,--gc-sections -Wl,-z,nocopyreloc \
+${TARGET_OS_PATH}/lib/libc.so \
+${TARGET_OS_PATH}/lib/libstdc++.so \
+${TARGET_OS_PATH}/lib/libm.so \
+${TARGET_OS_PATH}/lib/crtbegin_dynamic.o \
+-Wl,--no-undefined -Wl,-rpath-link=${TARGET_OS_PATH}/lib \
+${TARGET_TOOL_PATH}/lib/gcc/${TARGET_ARCH}/${GCC_VERSION}/${TARGET_CPU_NAME}/libgcc.a \
+${TARGET_OS_PATH}/lib/crtend_android.o \
+"
+
+
+which gcc 2>&1 | tee make.jogl.all.android-armv7-cross.log
+
+ant \
+ -Dgluegen-cpptasks.file=`pwd`/../../gluegen/make/lib/gluegen-cpptasks-android-armv7.xml \
+ -Drootrel.build=build-android-armv7 \
+ -Dgluegen.cpptasks.detected.os=true \
+ -DisUnix=true \
+ -DisAndroid=true \
+ -DisAndroidARMv7=true \
+ -DisCrosscompilation=true \
+ \
+ $* 2>&1 | tee -a make.jogl.all.android-armv7-cross.log
+
+